.footer {
    color: $white;
    overflow: hidden;
    position: relative;
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(22);
    background: rgb(89,69,69);
    // background: linear-gradient(90deg, #5f4243 0%, #3c2a2a 100%);
    background: url("../img/footer__bg.svg") 50% 50% no-repeat;
    background-size: cover;

    &__secondary {
        z-index: 10;
        color: #939393;
        text-align: center;
        font-size: rem(15);
        line-height: rem(30);
        position: relative;
        background: url('../img/footer__line.png') 0 0 repeat-x;

        &__row {
            max-width: 1162px;
            margin: 0 auto;
            padding: rem(12) 0 rem(10) 0;
        }
    }

    &__privacy {
        color: #939393;
        white-space: nowrap;
        display: inline-block;
        text-decoration: underline;

        &:hover {
            color: #939393;
            text-decoration: none;
        }
    }

    &__primary {
        z-index: 10;
        position: relative;
        font-size: rem(16);
        line-height: rem(26);
        padding: rem(86) 0 rem(24) 0;

        &:before {
            top: 50px;
            left: 0;
            right: 0;
            content: '';
            height: 5px;
            position: absolute;
            background: url('../img/footer__line.png') 0 0 repeat-x;

        }
    }

    &__title {
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(30);
        margin-bottom: rem(12);

        &--flex {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }

    &__group {
        margin-bottom: rem(20);

        &:last-child {
            margin-bottom: 0;
        }
    }

    @include media-breakpoint-up(md) {

        &__secondary {

            &__row {
                padding: 0;
                min-height: rem(60);
                display: flex;
                align-items: center;
                justify-content: space-between;
            }
        }

        &__row {
            display: flex;
            flex-wrap: wrap;
        }

        &__group {
            width: 50%;

            &--service {
                padding-right: rem(50);
            }

            &--contact {
                width: 100%;
            }
        }

        &__title {
            padding-bottom: rem(4);
        }
    }

    @include media-breakpoint-up(lg) {

        &:before {
            background: url("../img/footer__bg_lg.webp") 50% 50% no-repeat;
            background-size: cover;
        }

        &__row {
            flex-wrap: nowrap;
            justify-content: space-between;
        }

        &__group {
            width: auto;
            margin-bottom: 0;

            &--service {
                width: auto;
                padding-right: 0;
            }

            &--info {


            }

            &--contact {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__primary {
            padding-top: rem(90);
            padding-bottom: rem(36);
        }

        &__group {
            display: flex;
            flex-direction: column;

           &--info {
               order: 2;
           }

            &--service {
                order: 1;
            }

            &--contact {
                order: 3;
            }
        }

        &__title {
            margin-bottom: rem(16);
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(15);
        line-height: rem(25);

        &__primary {

        }

        &__group {

            &--service {
                min-width: rem(190);
            }

            &--info {
                width: rem(320);
            }

            &--contact {
                min-width: rem(520);
            }
        }
    }
}

.footer-nav {

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin-bottom: rem(6);
    }

    &__link {
        color: #dbdbdb;
        white-space: nowrap;
        text-decoration: underline;

        &:hover {
            color: #dbdbdb;
            text-decoration: none;
        }
    }

    &--service {
        display: flex;
        justify-content: space-between;

        .footer-nav__menu {
            display: block;

            > * {
                width: 100%;
            }
        }
    }

    &--info {

        > * {
    //        width: 50%;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            margin-bottom: rem(8);
        }

        &--service {
            display: block;

            .footer-nav__menu {
                display: block;

                > * {
                    width: 100%;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__primary {
            padding-top: rem(40);
        }

        &--info {

            > * {

                &:first-child {
                    margin-right: rem(40);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__link {
            font-weight: 300;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__menu {
            padding-right: rem(10);
        }

        &--info {
            display: flex;
            justify-content: space-between;

            > * {

            }
        }
    }
}

.footer-contact {
    color: #dbdbdb;

    &__column {

    }

    &__group {
        margin-bottom: rem(16);
    }

    &__title {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(28);
        margin-bottom: rem(8);
    }

    &__content {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            &:not(:last-child) {
                margin-bottom: rem(2);
            }
        }
    }

    &__phone {
        color: #dbdbdb;
        position: relative;
        white-space: nowrap;
        font-size: rem(19);
        line-height: rem(24);
        padding-left: rem(20);
        display: inline-block;
        text-decoration: underline;

        &:before {
            left: 0;
            top: calc(50% - 7px);
            content: '';
            width: 14px;
            height: 14px;
            position: absolute;
            background: url("../img/icon__phone.webp") 50% 50% no-repeat;
        }

        &:hover {
            color: #dbdbdb;
            text-decoration: none;
        }

        &--callback {
            font-size: rem(16);
        }
    }

    &__email {
        color: #dbdbdb;
        position: relative;
        white-space: nowrap;
        padding-left: rem(20);
        display: inline-block;
        text-decoration: underline;

        &:before {
            left: 0;
            top: calc(50% - 7px);
            content: '';
            width: 14px;
            height: 14px;
            position: absolute;
            background: url("../img/icon__email.webp") 50% 50% no-repeat;
        }

        &:hover {
            color: #dbdbdb;
            text-decoration: none;
        }
    }

    &__address {
        position: relative;
        max-width: rem(260);
        line-height: rem(16);
        padding-left: rem(24);

        &:before {
            left: 0;
            top: 1px;
            content: '';
            width: 14px;
            height: 15px;
            position: absolute;
            background: url("../img/icon__pin.webp") 50% 50% no-repeat;
        }
    }

    &__worktime {
        position: relative;
        padding-left: rem(20);
        display: inline-block;

        &:before {
            left: 0;
            top: 4px;
            content: '';
            width: 14px;
            height: 14px;
            position: absolute;
            background: url("../img/icon__clock.webp") 50% 50% no-repeat;
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        justify-content: space-between;

        &__column {
            width: 50%;

            &:first-child {
                display: block;

                .footer-contact__group {
                    width: 100%;
                    flex-shrink: 0;
                }
            }
        }

        &__content {

            li {
                &:not(:last-child) {
                    margin-bottom: rem(8);
                }
            }
        }
        &__address {
            font-size: rem(15);
            line-height: rem(25);
        }
    }

    @include media-breakpoint-up(xl) {

        &__group {
            margin-bottom: rem(10);

            &:last-child {
                margin-bottom: 0;
            }
        }

        &__title {
            font-weight: 500;
            font-size: rem(16);
            line-height: rem(24);
            margin-bottom: rem(8);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__column {

            &:last-child {
                padding-left: rem(24);
            }
        }
    }
}

.footer-social {
    display: flex;
    align-items: center;

    &--lg {
        display: none;
    }

    &__item {
        display: block;
        width: 34px;
        height: 34px;
        background-color: $white;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        border-radius: 50%;
        flex-shrink: 0;
        transition: .3s;

        &:not(:last-child) {
            margin-right: rem(4);
        }

        &--telegram {
            background-image: url("../img/icon__tg.webp");
        }

        &--whatsapp {
            background-image: url("../img/icon__whatsapp.webp");
        }

        &--zen {
            background-image: url("../img/icon__zen.webp");
        }

        &--vk {
            background-image: url("../img/icon__vk.webp");
        }

        &:hover {
            background-color: rgba(206, 62, 56, 0.2);
            transition: .3s;
        }
    }

    @include media-breakpoint-up(lg) {

        &__item {

        }

        &--sm {
            display: none;
        }

        &--lg {
            display: flex;
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            width: 40px;
            height: 40px;

            &:not(:last-child) {
                margin-right: rem(16);
            }

        }
    }
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
